<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Processors/ModuleSorter/ModuleSorter.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Processors.ModuleSorter.ModuleSorter</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Processors.html" >Processors</a>.<a href="../ModuleSorter.html" >ModuleSorter</a>
</div><div class="class-name">class ModuleSorter

</div><div class="links"><div class="file">File: <a href="../../../../File/Synopsis/Processors/ModuleSorter.py.html" target="detail">../Synopsis/Processors/ModuleSorter.py</a></div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ModuleSorter.ModuleSorter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ModuleSorter.py.html#line11" ><img src="../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="ModuleSorter-inheritance" src="ModuleSorter-inheritance.png" hspace="8" vspace="8" border="0" usemap="#ModuleSorter-inheritance_map" />
<map name="ModuleSorter-inheritance_map"></map>
 <div class="doc">A processor that sorts declarations in a module alphabetically.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>, <span class="variable">ir</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ModuleSorter.ModuleSorter.process" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ModuleSorter.py.html#line14" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="ModuleSorter.html#visit_meta_module" >visit_meta_module</a></span>(<span class="variable">self</span>, <span class="variable">module</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ModuleSorter.ModuleSorter.visit_meta_module" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ModuleSorter.py.html#line28" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_meta_module">visit_meta_module</a>(<span class="variable">self</span>, <span class="variable">module</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.ModuleSorter.ModuleSorter.visit_meta_module" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/ModuleSorter.py.html#line28" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Visits all children of the module&#44; and if there are no declarations
        after that removes the module</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:59 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
